import { Module } from '@nestjs/common';
import { CommentService } from './comment.service';
import { CommentRouter } from './comment.router';
import { TrpcService } from '@server/trpc/trpc.service';
import { DepartmentModule } from '../department/department.module';
import { CommentController } from './comment.controller';

@Module({
  imports: [DepartmentModule],
  providers: [CommentService, CommentRouter, TrpcService],
  exports: [CommentService, CommentRouter],
  controllers: [CommentController],
})
export class CommentModule {}
