import { Module } from '@nestjs/common';
import { ReaderService } from './reader.service';
import { ReaderRouter } from './reader.router';
import { TrpcService } from '@server/trpc/trpc.service';
import { DepartmentModule } from '../department/department.module';
import { ReaderController } from './reader.controller';

@Module({
  imports: [DepartmentModule],
  providers: [ReaderService, ReaderRouter, TrpcService],
  exports: [ReaderService, ReaderRouter],
  controllers: [ReaderController],
})
export class ReaderModule {}
