import { Library } from './../../../../node_modules/.prisma/client/index.d';
import { Logger, Module } from '@nestjs/common';
import { TrpcService } from './trpc.service';
import { TrpcRouter } from './trpc.router';
import { QueueModule } from '@server/queue/queue.module';
import { DepartmentModule } from '@server/models/department/department.module';
import { StaffModule } from '@server/models/staff/staff.module';
import { TermModule } from '@server/models/term/term.module';
import { TaxonomyModule } from '@server/models/taxonomy/taxonomy.module';
import { AuthModule } from '@server/auth/auth.module';
import { AppConfigModule } from '@server/models/app-config/app-config.module';
import { MessageModule } from '@server/models/message/message.module';
import { PostModule } from '@server/models/post/post.module';
import { VisitModule } from '@server/models/visit/visit.module';
import { WebSocketModule } from '@server/socket/websocket.module';
import { RoleMapModule } from '@server/models/rbac/rbac.module';
import { TransformModule } from '@server/models/transform/transform.module';
import { TrainContentModule } from '@server/models/train-content/trainContent.module';
import { ResourceModule } from '@server/models/resource/resource.module';
import { TrainSituationModule } from '@server/models/train-situation/trainSituation.module';
import { DailyTrainModule } from '@server/models/daily-train/dailyTrain.module';
import { SystemLogModule } from '@server/models/sys-logs/systemLog.module';
import { LibraryModule } from '@server/models/library/library.module';
import { DeviceModule } from '@server/models/device/device.module';
import { ReaderModule } from '@server/models/reader/reader.module';
import { BookModule } from '@server/models/book/book.module';

import { BorrowRecordModule } from '@server/models/borrowRecord/borrowRecord.module';
import { CommentModule } from '@server/models/comment/comment.module';
import { UserModule } from '@server/models/user/user.module';
@Module({
  imports: [
    AuthModule,
    QueueModule,
    DepartmentModule,
    StaffModule,
    TermModule,
    TaxonomyModule,
    RoleMapModule,
    TransformModule,
    MessageModule,
    AppConfigModule,
    PostModule,
    VisitModule,
    WebSocketModule,
    ResourceModule,
    TrainContentModule,
    TrainSituationModule,
    DailyTrainModule,
    SystemLogModule,
    LibraryModule,
    DeviceModule,
    ReaderModule,
    BookModule,
    BorrowRecordModule,
    CommentModule,
    UserModule,
  ],
  controllers: [],
  providers: [TrpcService, TrpcRouter, Logger],
})
export class TrpcModule {}
