export interface BorrowRecord {
    id: string;
    giveTime: Date | string;
    backTime: Date | string;
    isbackTime: Date | string;
    libraryId: string;
    library?: Library;
    readerId: string;
    reader?: Reader;
    bookId: string;
    book?: Book;
    createdAt: Date | string;
    updatedAt: Date | string;
    deletedAt?: Date | string | null;
}

export interface Library {
    id: string;
    name: string;
}

export interface Reader {
    id: string;
    name: string;
    username: string;
    libraryId: string;
}

export interface Book {
    id: string;
    bookName: string;
    isbn: string;
    author: string;
    libraryId: string;
}

export interface PaginatedResponse {
    items: BorrowRecord[];
    total: number;
}