export interface Comment {
    id: string;
    content: string;
    libraryId?: string | null;
    library?: Library;
    readerId: string;
    reader?: Reader;
    bookId?: string | null;
    book?: Book;
    createdAt: Date | string;
    updatedAt: Date | string;
    deletedAt?: Date | string | null;
}

export interface Library {
    id: string;
    name: string;
    address?: string;
    description?: string;
}

export interface Reader {
    id: string;
    name: string;
    username: string;
    libraryId?: string;
}

export interface Book {
    id: string;
    bookName: string;
    isbn: string;
    author: string;
    libraryId: string;
    library?: Library;
}

export interface PaginatedResponse {
    items: Comment[];
    total: number;
}