import { Button, Input, Space, Select } from 'antd';
import { SearchOutlined, PlusOutlined } from '@ant-design/icons';
import React from 'react';
// import { ImportExportButtons } from './ImportExportButtons';

// Define or import the Staff type
// interface Driver {
//     id: string;
//     name: string;
//     gender: string;
//     age: number;
//     clubName: string;
// }

interface SearchBarProps {
  searchText: string;
  roleFilter: string | null;
  onSearchTextChange: (text: string) => void;
  onRoleFilterChange: (role: string | null) => void;
  onSearch: () => void;
  onAdd: () => void;
  onImportSuccess: () => void;
  // data: Driver[];
}

export const SearchBar: React.FC<SearchBarProps> = ({
  searchText,
  roleFilter,
  onSearchTextChange,
  onRoleFilterChange,
  onSearch,
  onAdd,
  onImportSuccess,
  // data,
}) => {
  // 角色选项
  const roleOptions = [
    { label: '全部', value: '' },
    { label: '系统管理员', value: 'ADMIN' },
    { label: '图书馆管理员', value: 'LIB_ADMIN' },
    { label: '读者', value: 'READER' }
  ];

  return (
    <div className="mb-4 flex justify-between">
      <Space>
        <Input
          placeholder="搜索用户名或姓名"
          value={searchText}
          onChange={(e) => onSearchTextChange(e.target.value)}
          onPressEnter={onSearch}
          prefix={<SearchOutlined />}
          style={{ width: 200 }}
        />
        <Select
          placeholder="选择角色"
          value={roleFilter || ''}
          onChange={(value) => onRoleFilterChange(value || null)}
          options={roleOptions}
          style={{ width: 150 }}
        />
        <Button type="primary" onClick={onSearch}>搜索</Button>
      </Space>
      <Space>
        {/* <ImportExportButtons 
          onImportSuccess={onImportSuccess}
          data={data}
        /> */}
        <Button type="primary" icon={<PlusOutlined />} onClick={onAdd}>
          添加用户
        </Button>
      </Space>
    </div>
  );
};