
// apps/web/src/app/main/user/components/types.ts

export interface User {
    id: string;
    name: string;
    username: string;
    password?: string; // 编辑时可能不需要修改密码
    gender: string;
    age: number;
    relax?: string | null;
    role: 'ADMIN' | 'LIB_ADMIN' | 'READER';
    reader?: Reader | null;
    library?: Library | null;
    createdAt: Date | string;
    updatedAt: Date | string;
    deletedAt?: Date | string | null;
}

export interface Reader {
    id: string;
    name: string;
    password: string;
    username: string;
    gender: string;
    age: number;
    relax: string;
    libraryId: string;
    library: Library;
    createdAt: Date | string;
    updatedAt: Date | string;
    deletedAt?: Date | string | null;
}

export interface Library {
    id: string;
    name: string;
    address: string;
    description: string;
    createdAt: Date | string;
    updatedAt: Date | string;
    deletedAt?: Date | string | null;
}
